Subject: Re: [2.6 PATCH] ipchains masquerade must select maddr correctly

From: "David S. Miller" <[email-masked]>
Date: Tue, 2 Dec 2003 16:22:08 -0800

On Wed, 3 Dec 2003 01:55:28 +0200 (EET)
Julian Anastasov <[email-masked]> wrote:

> 	The attached patch fixes ipchains masquerade to use
> correctly the routing. This bug-to-bug compatibility with 2.2
> is not valid from long time. Also, a missing unlock is added.

Slow down.

I don't think it's always desirable to specify a specific TOS when
we're working with an input packet.  In fact, what you're doing all
over the tree is going to cause the routing cache size to explode in
some very real usage.